uudoc(1)

NAME
uudoc - Report or omit repeated lines.

SYNOPSIS
uudoc [-D|--all-repeated] [--group] [-w|--check-chars] [-c|--count] [-i|--ignore-case] [-d|--repeated] [-s|--skip-chars] [-f|--skip-fields] [-u|--unique] [-z|--zero-terminated] [-h|--help] [-V|--version] [files]

DESCRIPTION
Report or omit repeated lines.

OPTIONS

-D, --all-repeated[=<delimit-method>]
    print all duplicate lines. Delimiting is done with blank lines. [default: none]
    [possible values: none, prepend, separate]

--group[=<group-method>]
    show all items, separating groups with an empty line. [default: separate]
    [possible values: separate, prepend, append, both]

-w, --check-chars <N>
    compare no more than N characters in lines

-c, --count
    prefix lines by the number of occurrences

-i, --ignore-case
    ignore differences in case when comparing

-d, --repeated
    only print duplicate lines

-s, --skip-chars <N>
    avoid comparing the first N characters

-f, --skip-fields <N>
    avoid comparing the first N fields

-u, --unique
    only print unique lines

-z, --zero-terminated
    end lines with 0 byte, not newline

-h, --help
    Print help

-V, --version
    Print version

EXTRA
Filter adjacent matching lines from INPUT (or standard input), writing to OUTPUT (or standard output). Note: uniq does not detect repeated lines unless they are adjacent. You may want to sort the input first, or use sort -u without uniq.

VERSION
v(uutils coreutils) 0.4.0